<template>
    <div class="app-container">
      <div>
        <div>
        <h2>手动同步检验检查结果</h2>
      </div>
      <el-form
        :model="queryParams"
        ref="queryForm"
        size="small"
        :inline="true"
        label-width="68px"
      >
        <el-form-item label="体检号" prop="tjh">
          <el-input
            v-model="queryParams.tjh"
            placeholder="请输入体检号"
            clearable
          />
        </el-form-item>
        <el-form-item label="体检类型" prop="tblx">
        <el-select
          v-model="queryParams.tblx"
          :popper-append-to-body="false"
          filterable
          placeholder="请选择体检类型"
          clearable
          @change="idFn1"
        >
          <el-option
            v-for="item in CompanyList"
            :key="item.tblx"
            :label="item.tblx"
            :value="item.tblxId"
          />
        </el-select>
      </el-form-item>
        <el-form-item>
          <el-button
            type="primary"
            size="mini"
            @click="handleManual"
            >手工同步</el-button
          >
          <el-button icon="el-icon-refresh" size="mini" @click="resetQuery"
            >重置</el-button
          >
        </el-form-item>
      </el-form>
      </div>


      <div>
        <div>
        <h2>手动添加采样数据</h2>
      </div>
      <el-form
        :model="forms"
        ref="queryForm"
        size="small"
        :inline="true"
        label-width="68px"
      >
        <el-form-item label="体检号" prop="tjNum">
          <el-input
            v-model="forms.tjNum"
            placeholder="请输入体检号"
            clearable
          />
        </el-form-item>
        <!-- <el-form-item label="体检类型" prop="tblx">
        <el-select
          v-model="forms.tblx"
          :popper-append-to-body="false"
          filterable
          placeholder="请选择体检类型"
          clearable
          @change="idFn1"
        >
          <el-option
            v-for="item in CompanyList"
            :key="item.tblx"
            :label="item.tblx"
            :value="item.tblxId"
          />
        </el-select>
      </el-form-item> -->
        <el-form-item>
          <el-button
            type="primary"
            size="mini"
            @click="handleManuals"
            >手工同步</el-button
          >
          <el-button icon="el-icon-refresh" size="mini" @click="resetQuery"
            >重置</el-button
          >
        </el-form-item>
      </el-form>
      </div>
      
    </div>
  </template>
  
  <script>
import { shoudongtbjyjcwsxmjg,addCaiYangDengJi} from "@/api/system/menu";
  export default {
  
    name: "Manual",
    dicts: [
      "dict_user_national",
   
    ],
    data() {
        return{
            queryParams: {
        tjh: null,
        tblx: null,
      },
      forms: {
        tjNum: null,
        tblx: null,
      },
      CompanyList:[
        {
            tblx:"检验",
            tblxId:"jy"
            
        },
        {
            tblx:"检查",
            tblxId:"jc"
            
        },
        {
            tblx:"检验和检查",
            tblxId:"jyjc"
            
        }
      ]
        }
    },
    created() {
    //   this.handleManual();
    },
    methods: {
        handleManual() {
            shoudongtbjyjcwsxmjg(this.queryParams).then(res => {
                this.$modal.msgSuccess("同步成功");
            })
        },
        handleManuals() {
          addCaiYangDengJi(this.forms).then(res => {
                this.$modal.msgSuccess("手动添加采样数据同步成功");
            })
        },
        resetQuery() {
            this.resetForm("queryForm");
},

idFn1(value) {
      if (value) {
       console.log(value)
      }
    },
    
    }
  };
  </script>
  <style scoped>
    .el-select-dropdown{
        position: absolute !important;
        top: 30px !important;
        left: 0px !important;
    }
 
  </style>
  